

Debian Electronics BOF
vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
(please don't share the jitsi links here, as we could get jitsi-bombed)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ :-)

Bdale will give a brief introduction, then will talk about geda-gaf to lepton-eda transition, and why he's using pcb-rnd instead of pcb now.

Keith will talk about picolibc

Question: would you be interested in manufacturing and selling GPG hardware tokens that can run gnuk? The current manufacturer doens't sell the FST-01 anymore and the design seems similar to the ChaosKey.

/me is here but no webcam / mic so any comments or question will be in the pad
Good evening :-)
I am just in the process of moving to kicad from Altium
keith I have a few arm64 servers available if you want to build native....(assuming the porter boxes are not suitable for you) ack 

Hi, I'd love to join the channel:  tille@debian.org  /  an3as at IRC -- Link sent

CarlFK here - I would like to promote someone elses project:  what I call "ASIC for you"  https://fossi-foundation.org/2020/06/30/skywater-pdk  Would you like to speak about it, or just leave us the link?
speak - I hang out with Tim, I have a feel for the vibe ;)
I think I can summerize in a few min, and then field questions from anyone interested 
joiing jitsi now...

Is it possible for DDs to get their hands on any nice risc-v boards? +1

SiFIve occasionally has risc-v boards for developers, but nothing currently. Have you seen the longnan nano? https://www.seeedstudio.com/Sipeed-Longan-Nano-RISC-V-GD32VF103CBT6-Development-Board-p-4205.html
(thanks I was thinking more in the line of a 64 bit machine)

Q.  WRT RiscV - is there a proposal for how to deal with the expected ever forking addition of new instructions?
	Standard instruction additions go through the RISC-V org which filters out at least some of the more outrageous plans. For now, we just keep adding more compiler multi-lib configs, but that doesn't seem sustainable. the riscv64-unknown-elf toolchain builds 36 different multi-lib configurations currently ...
	
HEHEHE -  I gues an open implementation of a PCIe HOST controller would be an awsome project (AFICT no ARM customer or RiscV SoC fab has one working yet!)

It is Skywater..... This is the concept of an "OpenPDK"   Maybe 130nm is not modern day CPU size, but there are a lot of peripherals that can be made with this.   Also using a slower RISC-V core on a disk drive is not a bad idea.

130nm fab gives us mortals the chance to get one of our own designs made,  got to be a good experiance


I can definetely confirm Jitsi is better on Chromium. You can't even change microphone, speakers, or cameras during call on Firefox. I am not a fan of Chromium though....Try Brave....  


Can you help with packaging even if you don't know about Hardware or electronics that much???????  Yes, definitely.  Packaging software is pretty much a universal thing, other than some software for embedded work might require a target system available somewhere to fully test.

